/*
 * MockPrinterModel.java
 *
 * Created on 12 Îêòÿáðü 2010 ã., 18:11
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.shtrih.jpos.fiscalprinter;
/**
 *
 * @author V.Kravtsov
 */


import com.shtrih.fiscalprinter.PrinterModel;

public class MockPrinterModel implements PrinterModel{
    
    public boolean capRecPresent = true;
    public boolean capRecEmptySensor = true;
    public boolean capRecNearEndSensor = true;
    public boolean capRecLeverSensor = true;
    public boolean capJrnPresent = true;
    public boolean capJrnEmptySensor = true;
    public boolean capJrnNearEndSensor = true;
    public boolean capJrnLeverSensor = true;
    public boolean capEJPresent = true;
    public boolean capFMPresent = true;
    public boolean capSlpPresent = true;
    public boolean capSlpEmptySensor = true;
    public boolean capSlpNearEndSensor = true;
    public int numVatRates = 4;
    public int printWidth = 432;
    public boolean capPrintGraphicsLine = false;
    public boolean capHasVatTable = true;
    public boolean capCoverSensor = true;
    public boolean capDoubleWidth = true;
    public boolean capDuplicateReceipt = true;
    public int amountDecimalPlace = 2;
    public int[] textLength = {36, 18, 36, 36, 36, 36, 36};
    public int numHeaderLines = 4;
    public int numTrailerLines = 3;
    public int trailerTableNumber = 4;
    public int headerTableNumber = 4;
    public int headerTableRow = 4;
    public int trailerTableRow = 1;
    public int minHeaderLines = 4;
    public int minTrailerLines = 0;
    public int[] supportedBaudRates =
    {2400, 4800, 9600, 19200, 38400, 57600, 115200};
    public boolean capFullCut = true;
    public boolean capPartialCut = true;
    public boolean capGraphics = true;
    public boolean capPrintStringFont = true;
    public boolean capShortStatus = false;
    public boolean capFontMetrics = false;
    public int maxGraphicsWidth = 320;
    public int maxGraphicsHeight = 255;
    public boolean capOpenReceipt = false;
    
    /** Creates a new instance of MockPrinterModel */
    public MockPrinterModel() {
    }
    
    public String getName() {
        return "Mock printer model";
    }
    
    public boolean getCapRecPresent() {
        return capRecPresent;
    }
    
    public boolean getCapJrnPresent() {
        return capJrnPresent;
    }
    
    public boolean getCapRecEmptySensor() {
        return capRecEmptySensor;
    }
    
    public boolean getCapRecNearEndSensor() {
        return capRecNearEndSensor;
    }
    
    public boolean getCapRecLeverSensor() {
        return capRecLeverSensor;
    }
    
    public boolean getCapJrnEmptySensor() {
        return capJrnEmptySensor;
    }
    
    public boolean getCapJrnNearEndSensor() {
        return capJrnNearEndSensor;
    }
    
    public boolean getCapJrnLeverSensor() {
        return capJrnLeverSensor;
    }
    
    public boolean getCapEJPresent() {
        return capEJPresent;
    }
    
    public boolean getCapFMPresent() {
        return capFMPresent;
    }
    
    public boolean getCapSlpPresent() {
        return capSlpPresent;
    }
    
    public boolean getCapSlpEmptySensor() {
        return capSlpEmptySensor;
    }
    
    public boolean getCapSlpNearEndSensor() {
        return capSlpNearEndSensor;
    }
    
    public int getNumVatRates() {
        return numVatRates;
    }
    
    public int getPrintWidth() {
        return printWidth;
    }
    
    public boolean getCapPrintGraphicsLine() {
        return capPrintGraphicsLine;
    }
    
    public boolean getCapHasVatTable() {
        return capHasVatTable;
    }
    
    public boolean getCapCoverSensor() {
        return capCoverSensor;
    }
    
    public boolean getCapDoubleWidth() {
        return capDoubleWidth;
    }
    
    public boolean getCapDuplicateReceipt() {
        return capDuplicateReceipt;
    }
    
    public int getAmountDecimalPlace() {
        return amountDecimalPlace;
    }
    
    public int getTextLength(int fontNumber) {
        return textLength[fontNumber-1];
    }
    
    public int getNumHeaderLines() {
        return numHeaderLines;
    }
    
    public int getNumTrailerLines() {
        return numTrailerLines;
    }
    
    public int getTrailerTableNumber() {
        return trailerTableNumber;
    }
    
    public int getHeaderTableNumber() {
        return headerTableNumber;
    }
    
    public int getHeaderTableRow() {
        return headerTableRow;
    }
    
    public int getTrailerTableRow() {
        return trailerTableRow;
    }
    
    public int getMinHeaderLines() {
        return minHeaderLines;
    }
    
    public int getMinTrailerLines() {
        return minTrailerLines;
    }
    
    public int[] getSupportedBaudRates() {
        return supportedBaudRates;
    }
    
    public boolean getCapFullCut() {
        return capFullCut;
    }
    
    public boolean getCapPartialCut() {
        return capPartialCut;
    }
    
    public boolean getCapGraphics() {
        return capGraphics;
    }
    
    public boolean getCapGraphicsEx() {
        return capGraphicsEx;
    }
    
    public boolean getCapPrintStringFont() {
        return capPrintStringFont;
    }
    
    public boolean getCapShortStatus() {
        return capShortStatus;
    }
    
    public boolean getCapFontMetrics() {
        return capFontMetrics;
    }
    
    public int getMaxGraphicsWidth() {
        return maxGraphicsWidth;
    }
    
    public int getMaxGraphicsHeight() {
        return maxGraphicsHeight;
    }
    
    public boolean getCapOpenReceipt() {
        return capOpenReceipt;
    }
}
